\name{CompositionalML-package}
\alias{CompositionalML-package}
\docType{package}
\title{
Machine Learning with Compositional Data
}

\description{
Description: Machine learning algorithms for predictor variables that are compositional data and the response variable is either continuous or categorical. Specifically, the Boruta variable selection algorithm, random forest, support vector machines and projection pursuit regression are included. Relevant papers include: Tsagris M.T., Preston S. and Wood A.T.A. (2011). "A data-based power transformation for compositional data". Fourth International International Workshop on Compositional Data Analysis and Alenazi, A. (2023). "A review of compositional data analysis and recent advances". Communications in Statistics--Theory and Methods, 52(16): 5535--5567.

}

\details{
\tabular{ll}{
Package: \tab CompositionalML\cr
Type: \tab Package\cr
Version: \tab 1.0 \cr
Date: \tab 2024-03-13\cr
License: \tab GPL-2\cr
}
}

\author{
Michail Tsagris \email{mtsagris@uoc.gr}.
}

\section{Maintainers}{
Michail Tsagris <mtsagris@uoc.gr>
}

\references{
Alenazi A. (2023). A review of compositional data analysis and recent advances.
Communications in Statistics--Theory and Methods, 52(16): 5535--5567.

Friedman J. H. and Stuetzle W. (1981). Projection pursuit regression.
Journal of the American Statistical Association, 76, 817-823. doi: 10.2307/2287576.

Friedman Jerome, Trevor Hastie and Robert Tibshirani (2009).
The elements of statistical learning, 2nd edition. Springer, Berlin.

Chang Chih-Chung and Lin Chih-Jen: LIBSVM: a library for Support Vector Machines
https://www.csie.ntu.edu.tw/~cjlin/libsvm/

Kursa M. B. and Rudnicki W. R. (2010). Feature Selection with the
Boruta Package. Journal of Statistical Software, 36(11).

Tsagris M.T., Preston S. and Wood A.T.A. (2011). A data-based power transformation for compositional data.
Fourth International International Workshop on Compositional Data Analysis.

Wright M. N. and Ziegler A. (2017). ranger: A fast implementation of random
forests for high dimensional data in C++ and R.
Journal of Statisrical Software 77:1-17. doi:10.18637/jss.v077.i01.
}

%\note{
%}


